
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">

    <title>Hello, world!</title>
  </head>
  <body>
 

    <!-- Optional JavaScript; choose one of the two! -->



      <!-- Grid System -->
        <!-- Containers -->

        <!-- bg-primary will use the default/predefined color of bootstrap(BS) -->
        <div class="container bg-primary">
          <h2>.container</h2>
          <!-- what is bg dark -->
          <div class="row bg-dark"> 
              <div class="col-6 bg-ligt">
                1st column
              </div>

              <div class="col-6 bg-info">
                2nd column
              </div>
          </div>
        </div>
         <!-- end of conatiner  -->
         <div class="container-fluid bg-sucess">
           <h2>.container-fluid</h2>
           <div class="row bg-secondary">
             <div class="col-2 bg-warning">
               1st col
             </div>

             <div class="col-10 bg-danger">
                2ndcolumn
             </div>
           </div>
         </div>
         <!-- end of container -->

         <!-- 4 equal size columns -->

         <div class="container">
           <div class="row">
             <!-- 4 equal size columns with text inside saying 1st col, 2nd col... -->
              <div class="col-3 bg-warning">
                1st column 
              </div>
              <div class="col-3 bg-success">
                2nd column 
              </div>
              <div class="col-3 bg-info">
                3rd column 
              </div>
               <div class="col-3 bg-warning">
                4th column 
              </div>
           </div>
         </div>

         <!-- 3 uneqal sized areas with 3,6,3 -->
         <div class="container">
           <div class="row">
              <div class="col-3 bg-success">
                1st column 
              </div>
              <div class="col-6 bg-warning">
                2nd column 
              </div>
              <div class="col-3 bg-primary">
                3rd column 
              </div>
            
           </div>
         </div>

          <div class="container-fluid">
            <div class="row">
              <div class="col-12 bg-warning">
                <h3>L12 M12 S12</h3>
              </div>

              <div class="col-12 col-md-6 col-lg-8 bg-info">
                <h3>L8 M6 S12</h3>
              </div>

              <div class="col-10 col-md-6 col-lg-4 bg-primary">
                <h3>L4 M6 S10</h3>
              </div>

            </div>
          </div>

          <!-- Nested Columns -->
          <div class="container">
            <div class="row">
              <div class="col-md-9 bg-primary">
                <h5>Inside the 9 columns</h5>
                <!-- nested Columns should have a row before palceing columns -->
                <div class="row">
                  <div class="col-md-6 bg-danger">
                    <h6>Inside the Nested 6 columns</h6>
                  </div>
                  <div class="col-md-6 bg-waning">
                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>



    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>

   
  </body>
</html>